Loading...
Searching...
No Matches
osim_card_sw Struct Reference

A card status word (SW) More...

`#include <sim.h>`

## Data Fields

uint16_t | code
| status word code (2 bytes)
uint16_t | mask
| status word mask (2 bytes), to match range/prefix of SW
enum osim_card_sw_type | type
enum osim_card_sw_class | class
union { |
const char * str |
| Human-readable meaning of SW. More...
} | u |

## Detailed Description

A card status word (SW)

## Field Documentation

## class

enum osim_card_sw_class osim_card_sw::class

Referenced by osim_sw_class().

## code

uint16_t osim_card_sw::code

status word code (2 bytes)

Referenced by osim_app_profile_find_sw(), and osim_cprof_find_sw().

## mask

uint16_t osim_card_sw::mask

status word mask (2 bytes), to match range/prefix of SW

## str

const char* osim_card_sw::str

Human-readable meaning of SW.

Referenced by osim_print_sw_buf().

## type

enum osim_card_sw_type osim_card_sw::type

Referenced by osim_print_sw_buf().

## [union]

union { ... } osim_card_sw::u

Referenced by osim_print_sw_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h